***************************
* File: A_directeur.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P E\"
capture clear
capture log close
clear
set mem 700m
set more off

use "4- Data\4.1. Raw Data\Second Round\ecole_1er_jour\A_directeur.dta"

**************************************************
***   Ensure all variables are present and labeled.
**************************************************
log using "A_directeur", replace
codebook, compact
log close

**************************************************
***   Ensure response value labels are correct.
**************************************************
label save using "A_directeur", replace


**************************************************
***  Identify illegal responses
**************************************************
log using "A_directeur label inspect", replace
inspect
log close

**************************************************
***   Identify outliers
**************************************************
grubbs  an_dir_ec an_dir an_ensgt nb_form chg_ecl temp_aut, level(99.99)
drop grubbs*

**************************************************
*** FINAL  : Delivrables
**************************************************

*Codebook
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.3. Data Code Book\Second Round\ecole_1er_jour"
log using "A_directeur codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.1. Final Data\Second Round\ecole_1er_jour"
save "A_directeur_cleaned_data.dta", replace
